Change log for cabal-debian package in Ubuntu

122 of 22 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-14
Deleted in disco-proposed (Reason: moved to release)
cabal-debian (4.38.2-1) unstable; urgency=medium

  * New upstream release
  * Set license to BSD-3-clause

 -- Ilias Tsitsimpis <email address hidden>  Thu, 01 Nov 2018 15:02:20 +0200

Available diffs

Superseded in disco-release on 2018-12-14
Published in cosmic-release on 2018-06-11
Deleted in cosmic-proposed (Reason: moved to release)
cabal-debian (4.38-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * New upstream release
  * Bump debhelper compat level to 10
  * Drop fix-utils-shlibs-depends patch, applied upstream

 -- Ilias Tsitsimpis <email address hidden>  Mon, 11 Jun 2018 15:20:11 +0300

Available diffs

Superseded in cosmic-release on 2018-06-11
Deleted in cosmic-proposed on 2018-06-12 (Reason: moved to release)
cabal-debian (4.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <email address hidden>  Sun, 15 Apr 2018 11:13:59 -0400

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-11-02
Deleted in bionic-proposed (Reason: moved to release)
cabal-debian (4.36-1) unstable; urgency=medium

  [ Kei Hibino ]
  * Close fixed debian bug - recover typo (closes: #850920)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <email address hidden>  Fri, 20 Oct 2017 21:37:31 -0400

Available diffs

Superseded in bionic-release on 2017-11-02
Published in artful-release on 2017-07-19
Deleted in artful-proposed (Reason: moved to release)
cabal-debian (4.35.6-2) unstable; urgency=medium

  * Fix to generate shlibs:Depends for -utils packages
    (closes: #866375)
  * Close fixed debian bug (close #850920)

 -- Kei Hibino <email address hidden>  Mon, 03 Jul 2017 18:04:25 +0900

Available diffs

Superseded in artful-release on 2017-07-19
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
cabal-debian (4.35.6-1) unstable; urgency=medium

  * New upstream release (fix for #850920)
    - drop patches, addressed upstream

 -- Gianfranco Costamagna <email address hidden>  Thu, 19 Jan 2017 14:33:01 +0100

Available diffs

Superseded in zesty-release on 2017-02-15
Deleted in zesty-proposed on 2017-02-16 (Reason: moved to release)
cabal-debian (4.33-4) unstable; urgency=medium

  * Remove Build-Depends-Indep dependencies.
    No architecture-independent packages are built.
  * Replace 'debian' with 'Debian' in package description.
  * Remove unused `binary-or-shlib-defines-rpath' lintian override.

 -- Ilias Tsitsimpis <email address hidden>  Mon, 28 Nov 2016 17:50:34 +0200

Available diffs

Superseded in zesty-release on 2016-11-29
Deleted in zesty-proposed on 2016-11-30 (Reason: moved to release)
cabal-debian (4.33-3) unstable; urgency=medium

  * Patch for newer Cabal.

 -- Clint Adams <email address hidden>  Tue, 01 Nov 2016 17:44:15 -0400

Available diffs

Superseded in zesty-release on 2016-11-14
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
cabal-debian (4.32.5-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <email address hidden>  Tue, 12 Jul 2016 16:13:29 -0400

Available diffs

Superseded in yakkety-release on 2016-07-13
Deleted in yakkety-proposed on 2016-07-14 (Reason: moved to release)
cabal-debian (4.32.4-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <email address hidden>  Sat, 28 May 2016 13:25:59 +0200

Available diffs

Superseded in yakkety-release on 2016-06-30
Deleted in yakkety-proposed on 2016-07-02 (Reason: moved to release)
cabal-debian (4.31.9-1) unstable; urgency=medium

  * New upstream release.
    - No longer conflicts with newer optparse-applicative.  closes: #814992.

 -- Clint Adams <email address hidden>  Sun, 13 Mar 2016 12:43:11 -0400

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-12-19
Deleted in xenial-proposed (Reason: moved to release)
cabal-debian (4.31-4) unstable; urgency=medium

  * Add missing Vcs-Git/Vcs-Browser headers.

 -- Clint Adams <email address hidden>  Thu, 03 Dec 2015 14:54:01 -0500

Available diffs

Superseded in xenial-release on 2015-12-19
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
cabal-debian (4.31-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <email address hidden>  Wed, 19 Aug 2015 22:25:01 +0200

Available diffs

Superseded in wily-release on 2015-08-20
Deleted in wily-proposed on 2015-08-21 (Reason: moved to release)
cabal-debian (4.30.2-1) unstable; urgency=medium

  * New upstream release.

 -- Kristoffer H Rose <email address hidden>  Tue, 11 Aug 2015 14:20:41 +0200

Available diffs

Superseded in wily-release on 2015-08-18
Deleted in wily-proposed on 2015-08-19 (Reason: moved to release)
cabal-debian (4.29-1) unstable; urgency=medium

  * New upstream release
  * Add usual lintian override

 -- Joachim Breitner <email address hidden>  Thu, 11 Jun 2015 10:12:53 +0200

Available diffs

Superseded in wily-release on 2015-06-17
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
cabal-debian (4.17.4-1) unstable; urgency=medium


  * New upstream release

 -- Joachim Breitner <email address hidden>  Thu, 04 Sep 2014 08:14:31 +0200

Available diffs

Superseded in vivid-release on 2014-10-31
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
cabal-debian (4.15-1) unstable; urgency=medium


  * New upstream version (closes: #753183)
  * Map dependencies to lowercase (closes: #756327)

 -- Sven Bartscher <email address hidden>  Fri, 01 Aug 2014 11:33:53 +0200

Available diffs

Superseded in utopic-release on 2014-10-21
Published in trusty-release on 2013-11-26
Deleted in trusty-proposed (Reason: moved to release)
cabal-debian (3.9-1) unstable; urgency=low


  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <email address hidden>  Mon, 25 Nov 2013 22:48:34 -0500

Available diffs

Superseded in trusty-proposed on 2013-11-26
cabal-debian (3.7-1) unstable; urgency=low


  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * Enable compat level 9

  [ Clint Adams ]
  * New upstream version.
    - Builds with newer haskell-debian.  closes: #720683.
  * Don't use runhaskell to build.  closes: #676476.

 -- Clint Adams <email address hidden>  Fri, 04 Oct 2013 19:41:21 -0400
Superseded in trusty-release on 2013-11-26
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
cabal-debian (1.25-1) unstable; urgency=low


  * New upstream version.

 -- Clint Adams <email address hidden>  Tue, 19 Jun 2012 19:30:08 -0400

Available diffs

Superseded in quantal-release on 2012-06-20
cabal-debian (1.24-1) unstable; urgency=low


  * New upstream version.

 -- Clint Adams <email address hidden>  Sat, 16 Jun 2012 15:14:54 -0400

Available diffs

Superseded in quantal-release on 2012-06-18
cabal-debian (1.21-1) unstable; urgency=low


  * Initial release.

 -- Clint Adams <email address hidden>  Thu, 17 May 2012 22:07:00 -0400
122 of 22 results